# Interface methods for submodule: HistogramThresholdImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: HistogramThresholdImageFilter
class HistogramThresholdImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetMaskImage(self, _arg) -> None:
		""""""
		...

	def GetMaskImage(self):
		""""""
		...

	def SetInput1(self, input) -> None:
		""""""
		...

	def SetInput2(self, input) -> None:
		""""""
		...

	def SetOutsideValue(self, _arg: int) -> None:
		""""""
		...

	def GetOutsideValue(self) -> int:
		""""""
		...

	def SetInsideValue(self, _arg: int) -> None:
		""""""
		...

	def GetInsideValue(self) -> int:
		""""""
		...

	def SetNumberOfHistogramBins(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfHistogramBins(self) -> int:
		""""""
		...

	def SetAutoMinimumMaximum(self, _arg: bool) -> None:
		""""""
		...

	def GetAutoMinimumMaximum(self) -> bool:
		""""""
		...

	def AutoMinimumMaximumOn(self) -> None:
		""""""
		...

	def AutoMinimumMaximumOff(self) -> None:
		""""""
		...

	def SetMaskOutput(self, _arg: bool) -> None:
		""""""
		...

	def GetMaskOutput(self) -> bool:
		""""""
		...

	def MaskOutputOn(self) -> None:
		""""""
		...

	def MaskOutputOff(self) -> None:
		""""""
		...

	def SetMaskValue(self, _arg: int) -> None:
		""""""
		...

	def GetMaskValue(self) -> int:
		""""""
		...

	@overload
	def GetThreshold(self) -> float:
		""""""
		...

	@overload
	def GetThreshold(self) -> int:
		""""""
		...

	def SetCalculator(self, _arg) -> None:
		""""""
		...

	def GetModifiableCalculator(self):
		""""""
		...

	def GetCalculator(self):
		""""""
		...

